JTS Topology Suite - v 1.12

## com.vividsolutions.jts.triangulate
Interface ConstraintSplitPointFinder

All Known Implementing Classes:
  MidpointSplitPointFinder, NonEncroachingSplitPointFinder

    public interface ConstraintSplitPointFinder

An interface for strategies for determining the location of split points on constraint segments. The location of split points has a large effect on the performance and robustness of enforcing a constrained Delaunay triangulation. Poorly chosen split points can cause repeated splitting, especially at narrow constraint angles, since the split point will end up encroaching on the segment containing the original encroaching point. With detailed knowledge of the geometry of the constraints, it is sometimes possible to choose better locations for splitting.

Author:
  mbdavis

Method Summary
`Coordinate` `findSplitPoint(Segment seg, Coordinate encroachPt)` Finds a point at which to split an encroached segment to allow the original segment to appear as edges in a constrained Delaunay triangulation.

Method Detail

### findSplitPoint

    Coordinate findSplitPoint(Segment seg,
                              Coordinate encroachPt)

  Finds a point at which to split an encroached segment to allow the original segment to appear as edges in a constrained Delaunay triangulation.

  Parameters:
    `seg` - the encroached segment
    `encroachPt` - the encroaching point
  Returns:
    the point at which to split the encroached segment

JTS Topology Suite - v 1.12